Subject: bug#61396: diff mode could distinguish changed from deleted lines

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Feb 2023 10:31:13 +0200

> this is a bug against emacs diff-mode.
>
> diff is not responsible for diff-mode colors.  diff-mode is.

You can use such a heuristics that when the region with deleted lines
borders the region with added lines this means that both regions show
the changed lines.  So adjacent regions in the hunk = changed lines,
disconnected regions of added or deleted lines = separate additions/deletions.